# Create conversation rating offer

Create a rating offer for a specific conversation.

Endpoint: POST /beta/conversations/{conversationId}/ratings/offer
Version: beta
Security: ApiKeyAuth

## Path parameters:

  - `conversationId` (integer, required)

## Request fields (application/json):

  - `userId` (string)
    If userId is not provided, the conversation requester will be picked.

  - `agentId` (string)
    If an agentId is not provided, the agent that is most likely to be the target will be picked. Please note that providing an agentId that is not part of the conversation may skew metrics in Intelligence.

  - `ratingType` (string, required)
    The type of numeric rating. E.g.: 'Csat', 'ThumbsUpOrDown', 'Nps'.

  - `offeredAt` (string)

## Response 201 fields (application/json):

  - `data` (object, required)

  - `data.id` (string, required)

  - `data.userId` (string, required)

  - `data.agentId` (string, required)

  - `data.ratingType` (string, required)
    values: [Csat, Nps, ThumbsUpOrDown]

  - `data.offeredAt` (string)

## Response 400 fields (application/json):

  - `message` (string, required)

## Response 404 fields (application/json):

  - `message` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)

